# List of challenges

This service returns a list of all the challenges belonging to your organisation.&#x20;

Each challenge has a unique identifier, which can be used as a parameter in all challenge services to access other challenge specific data. Of notice, archived challenges are excluded from this list.

{% hint style="info" %}
If you have your **admin API key**, you can try the API via this [**link**](https://drivequant.stoplight.io/docs/drivequant-public/0735de848d573-list-all-challenges).
{% endhint %}

{% openapi src="/files/osFwnNfAb4AWP4NEZNUc" path="/drivekit/admin/challenges" method="get" expanded="false" %}
[drivekit-admin-challenge-v3.yml](https://2525923625-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-LXYIG5U3AO65YYFWJRK%2Fuploads%2FN7KAiaeCZUgSyP3ciH8Y%2Fdrivekit-admin-challenge-v3.yml?alt=media\&token=8308057e-25b8-4b42-8b57-aab662abd6b5)
{% endopenapi %}

***

## Response

The service returns an array of [ChallengeResponse](#challengeresponse).&#x20;

### ChallengeResponse

The table below summarizes the elements included in the `ChallengeResponse` object.

<table><thead><tr><th width="217.66666666666666">Field</th><th width="150">Type</th><th>Description</th></tr></thead><tbody><tr><td>challengeId</td><td><code>string</code></td><td>Unique identifier of the challenge</td></tr><tr><td>title</td><td><code>string</code></td><td>Title of the challenge</td></tr><tr><td>startDate</td><td><code>string</code></td><td>Starting date of the challenge<br><em>Date format: <code>YYYY-MM-dd’T’HH:mm:ss.SSSZ</code></em></td></tr><tr><td>endDate</td><td><code>string</code></td><td>Ending date of the challenge<br><em>Date format: <code>YYYY-MM-dd’T’HH:mm:ss.SSSZ</code></em></td></tr><tr><td>theme</td><td><code>string</code></td><td>Theme of the challenge<br><em>Possible values: <code>SAFETY</code>, <code>ACCELERATION</code>, <code>BRAKING</code>, <code>PHONE_DISTRACTION</code>, <code>ECODRIVING</code>, <code>SPEEDING</code></em></td></tr><tr><td>type</td><td><code>string</code></td><td>Type of the challenge<br><em>Possible values: <code>ALL_DRIVERS</code>, <code>SINGLE_GROUP</code>, <code>MULTIPLE_GROUPS</code></em></td></tr><tr><td>reportAvailabilityDate</td><td><code>string</code></td><td>Estimated date at which the results report of the challenge will be available<br><em>Date format: <code>YYYY-MM-dd’T’HH:mm:ss.SSSZ</code></em></td></tr><tr><td>admin</td><td><a href="#admininfo"><em>AdminInfo</em></a></td><td>Creator of the challenge</td></tr><tr><td>status</td><td><code>string</code></td><td>Current status of the challenge<br><em>Possible values: <code>DRAFT</code>, <code>PLANNED</code>, <code>IN_PROGRESS</code>, <code>FINISHED</code></em></td></tr><tr><td>registeredUsers</td><td><code>int</code></td><td>Total number of users registered to the challenge</td></tr><tr><td>rankedUsers</td><td><code>int</code></td><td>Total number of users ranked in the challenge</td></tr></tbody></table>

{% hint style="info" %}
The challenges which were archived from the administration dashboard cannot be retrieved in this service. These challenges are also absent from the DriveKit SDK services.
{% endhint %}

### AdminInfo

The table below summarizes the elements included in the `AdminInfo` object.

<table><thead><tr><th width="217.66666666666666">Field</th><th width="150">Type</th><th>Description</th></tr></thead><tbody><tr><td>username</td><td><code>string</code></td><td>Unique identifier of the user</td></tr><tr><td>firstname</td><td><code>string</code></td><td>First name of the user</td></tr><tr><td>lastname</td><td><code>string</code></td><td>Last name of the user</td></tr></tbody></table>

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.drivequant.com/backend/challenges/list-of-challenges.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
